# History

Each release of `QuantumControl.jl` is determined by the compatible versions of the [JuliaQuantumControl](https://github.com/JuliaQuantumControl#a-julia-framework-for-quantum-optimal-control) packages.

```@raw html
<table>
    <thead class="membership-tiers text-left">
    <tr>
        <th class="rotated-text" scope="col"><div><span>QuantumControl</span></div></th>
        <th class="non-rotated-text" scope="col"><div><span>Release Date</span></div></th>
        <th class="rotated-text" scope="col"><div><span>QuantumPropagators</span></div></th>
        <th class="rotated-text" scope="col"><div><span>QuantumControlBase</span></div></th>
        <th class="rotated-text" scope="col"><div><span>Krotov</span></div></th>
        <th class="rotated-text" scope="col"><div><span>GRAPE</span></div></th>
    </tr>
    </thead>
    <tbody>
    <tr>
        <th scope="row">0.0.2</th>
        <td>2021-10-02</td>
        <td>^0.0</td>
        <td>^0.0</td>
        <td>^0.0</td>
        <td>—</td>
    </tr>
    <tr>
        <th scope="row">0.0.3</th>
        <td>2022-01-03</td>
        <td>0.0.3</td><!-- QuantumPropagators -->
        <td>0.0.3</td><!-- QuantumControlBase -->
        <td>0.0.3</td><!-- Krotov -->
        <td>0.0.2</td><!-- GRAPE -->
    </tr>
    <tr>
        <th scope="row">0.0.4</th>
        <td>2022-02-07</td>
        <td>≥0.1.0</td><!-- QuantumPropagators -->
        <td>≥0.1.0</td><!-- QuantumControlBase -->
        <td>≥0.1.0</td><!-- Krotov -->
        <td>≥0.0.3</td><!-- GRAPE -->
    </tr>
    </tbody>
</table>
```

The
[carets](https://pkgdocs.julialang.org/stable/compatibility/#Caret-specifiers-1)
indicate compatibility according to semantic versioning, whereas the
[tilde](https://pkgdocs.julialang.org/stable/compatibility/#Tilde-specifiers-1)
indicates compatibility with patch releases.
